Package com.ocient.jdbc.proto

# Class PlanProtocol.OrderedAggOperator.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OrderedAggOperator.Builder>
com.ocient.jdbc.proto.PlanProtocol.OrderedAggOperator.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.OrderedAggOperatorOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.OrderedAggOperator

    public static final class PlanProtocol.OrderedAggOperator.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OrderedAggOperator.Builder>
    implements PlanProtocol.OrderedAggOperatorOrBuilder

Protobuf type `xg.db.sqlPlans.OrderedAggOperator`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`PlanProtocol.OrderedAggOperator.Builder` | `addAllInputCols​(Iterable<String> values)` | The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`PlanProtocol.OrderedAggOperator.Builder` | `addAllKeys​(Iterable<String> values)` | The GROUP BY columns - can't be empty
`PlanProtocol.OrderedAggOperator.Builder` | `addAllOps​(Iterable<? extends PlanProtocol.AggregationOperator.AggregationOp> values)` | The aggregation operations to perform
`PlanProtocol.OrderedAggOperator.Builder` | `addAllOpsValue​(Iterable<Integer> values)` | The aggregation operations to perform
`PlanProtocol.OrderedAggOperator.Builder` | `addAllOutputCols​(Iterable<String> values)` | The name to give to the columns created by each aggregation operation
`PlanProtocol.OrderedAggOperator.Builder` | `addAllOutputColsTypes​(Iterable<String> values)` | The types for the outputCols, in the same order
`PlanProtocol.OrderedAggOperator.Builder` | `addInputCols​(String value)` | The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`PlanProtocol.OrderedAggOperator.Builder` | `addInputColsBytes​(com.google.protobuf.ByteString value)` | The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`PlanProtocol.OrderedAggOperator.Builder` | `addKeys​(String value)` | The GROUP BY columns - can't be empty
`PlanProtocol.OrderedAggOperator.Builder` | `addKeysBytes​(com.google.protobuf.ByteString value)` | The GROUP BY columns - can't be empty
`PlanProtocol.OrderedAggOperator.Builder` | `addOps​(PlanProtocol.AggregationOperator.AggregationOp value)` | The aggregation operations to perform
`PlanProtocol.OrderedAggOperator.Builder` | `addOpsValue​(int value)` | The aggregation operations to perform
`PlanProtocol.OrderedAggOperator.Builder` | `addOutputCols​(String value)` | The name to give to the columns created by each aggregation operation
`PlanProtocol.OrderedAggOperator.Builder` | `addOutputColsBytes​(com.google.protobuf.ByteString value)` | The name to give to the columns created by each aggregation operation
`PlanProtocol.OrderedAggOperator.Builder` | `addOutputColsTypes​(String value)` | The types for the outputCols, in the same order
`PlanProtocol.OrderedAggOperator.Builder` | `addOutputColsTypesBytes​(com.google.protobuf.ByteString value)` | The types for the outputCols, in the same order
`PlanProtocol.OrderedAggOperator.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.OrderedAggOperator` | `build()` |
`PlanProtocol.OrderedAggOperator` | `buildPartial()` |
`PlanProtocol.OrderedAggOperator.Builder` | `clear()` |
`PlanProtocol.OrderedAggOperator.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`PlanProtocol.OrderedAggOperator.Builder` | `clearInputCols()` | The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`PlanProtocol.OrderedAggOperator.Builder` | `clearKeys()` | The GROUP BY columns - can't be empty
`PlanProtocol.OrderedAggOperator.Builder` | `clearLevel()` | `.xg.db.sqlPlans.GatherLevel level = 6;`
`PlanProtocol.OrderedAggOperator.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`PlanProtocol.OrderedAggOperator.Builder` | `clearOps()` | The aggregation operations to perform
`PlanProtocol.OrderedAggOperator.Builder` | `clearOutputCols()` | The name to give to the columns created by each aggregation operation
`PlanProtocol.OrderedAggOperator.Builder` | `clearOutputColsTypes()` | The types for the outputCols, in the same order
`PlanProtocol.OrderedAggOperator.Builder` | `clone()` |
`PlanProtocol.OrderedAggOperator` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`String` | `getInputCols​(int index)` | The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`com.google.protobuf.ByteString` | `getInputColsBytes​(int index)` | The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`int` | `getInputColsCount()` | The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`com.google.protobuf.ProtocolStringList` | `getInputColsList()` | The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`String` | `getKeys​(int index)` | The GROUP BY columns - can't be empty
`com.google.protobuf.ByteString` | `getKeysBytes​(int index)` | The GROUP BY columns - can't be empty
`int` | `getKeysCount()` | The GROUP BY columns - can't be empty
`com.google.protobuf.ProtocolStringList` | `getKeysList()` | The GROUP BY columns - can't be empty
`PlanProtocol.GatherLevel` | `getLevel()` | `.xg.db.sqlPlans.GatherLevel level = 6;`
`int` | `getLevelValue()` | `.xg.db.sqlPlans.GatherLevel level = 6;`
`PlanProtocol.AggregationOperator.AggregationOp` | `getOps​(int index)` | The aggregation operations to perform
`int` | `getOpsCount()` | The aggregation operations to perform
`List<PlanProtocol.AggregationOperator.AggregationOp>` | `getOpsList()` | The aggregation operations to perform
`int` | `getOpsValue​(int index)` | The aggregation operations to perform
`List<Integer>` | `getOpsValueList()` | The aggregation operations to perform
`String` | `getOutputCols​(int index)` | The name to give to the columns created by each aggregation operation
`com.google.protobuf.ByteString` | `getOutputColsBytes​(int index)` | The name to give to the columns created by each aggregation operation
`int` | `getOutputColsCount()` | The name to give to the columns created by each aggregation operation
`com.google.protobuf.ProtocolStringList` | `getOutputColsList()` | The name to give to the columns created by each aggregation operation
`String` | `getOutputColsTypes​(int index)` | The types for the outputCols, in the same order
`com.google.protobuf.ByteString` | `getOutputColsTypesBytes​(int index)` | The types for the outputCols, in the same order
`int` | `getOutputColsTypesCount()` | The types for the outputCols, in the same order
`com.google.protobuf.ProtocolStringList` | `getOutputColsTypesList()` | The types for the outputCols, in the same order
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`PlanProtocol.OrderedAggOperator.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`PlanProtocol.OrderedAggOperator.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`PlanProtocol.OrderedAggOperator.Builder` | `mergeFrom​(PlanProtocol.OrderedAggOperator other)` |
`PlanProtocol.OrderedAggOperator.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`PlanProtocol.OrderedAggOperator.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.OrderedAggOperator.Builder` | `setInputCols​(int index, String value)` | The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`PlanProtocol.OrderedAggOperator.Builder` | `setKeys​(int index, String value)` | The GROUP BY columns - can't be empty
`PlanProtocol.OrderedAggOperator.Builder` | `setLevel​(PlanProtocol.GatherLevel value)` | `.xg.db.sqlPlans.GatherLevel level = 6;`
`PlanProtocol.OrderedAggOperator.Builder` | `setLevelValue​(int value)` | `.xg.db.sqlPlans.GatherLevel level = 6;`
`PlanProtocol.OrderedAggOperator.Builder` | `setOps​(int index, PlanProtocol.AggregationOperator.AggregationOp value)` | The aggregation operations to perform
`PlanProtocol.OrderedAggOperator.Builder` | `setOpsValue​(int index, int value)` | The aggregation operations to perform
`PlanProtocol.OrderedAggOperator.Builder` | `setOutputCols​(int index, String value)` | The name to give to the columns created by each aggregation operation
`PlanProtocol.OrderedAggOperator.Builder` | `setOutputColsTypes​(int index, String value)` | The types for the outputCols, in the same order
`PlanProtocol.OrderedAggOperator.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`PlanProtocol.OrderedAggOperator.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OrderedAggOperator.Builder>`

### clear

public PlanProtocol.OrderedAggOperator.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OrderedAggOperator.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OrderedAggOperator.Builder>`

### getDefaultInstanceForType

public PlanProtocol.OrderedAggOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public PlanProtocol.OrderedAggOperator build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public PlanProtocol.OrderedAggOperator buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public PlanProtocol.OrderedAggOperator.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OrderedAggOperator.Builder>`

### setField

public PlanProtocol.OrderedAggOperator.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OrderedAggOperator.Builder>`

### clearField

public PlanProtocol.OrderedAggOperator.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OrderedAggOperator.Builder>`

### clearOneof

public PlanProtocol.OrderedAggOperator.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OrderedAggOperator.Builder>`

### setRepeatedField

public PlanProtocol.OrderedAggOperator.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OrderedAggOperator.Builder>`

### addRepeatedField

public PlanProtocol.OrderedAggOperator.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OrderedAggOperator.Builder>`

### mergeFrom

public PlanProtocol.OrderedAggOperator.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.OrderedAggOperator.Builder>`

### mergeFrom

public PlanProtocol.OrderedAggOperator.Builder mergeFrom​(PlanProtocol.OrderedAggOperator other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OrderedAggOperator.Builder>`

### mergeFrom

public PlanProtocol.OrderedAggOperator.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.OrderedAggOperator.Builder>`
Throws:
  `IOException`

### getKeysList

public com.google.protobuf.ProtocolStringList getKeysList()

    The GROUP BY columns - can't be empty

`repeated string keys = 1;`

Specified by:
  `getKeysList` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`

### getKeysCount

public int getKeysCount()

    The GROUP BY columns - can't be empty

`repeated string keys = 1;`

Specified by:
  `getKeysCount` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`

### getKeys

public String getKeys​(int index)

    The GROUP BY columns - can't be empty

`repeated string keys = 1;`

Specified by:
  `getKeys` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`

### getKeysBytes

public com.google.protobuf.ByteString getKeysBytes​(int index)

    The GROUP BY columns - can't be empty

`repeated string keys = 1;`

Specified by:
  `getKeysBytes` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`

### setKeys

public PlanProtocol.OrderedAggOperator.Builder setKeys​(int index, String value)

    The GROUP BY columns - can't be empty

`repeated string keys = 1;`

### addKeys

public PlanProtocol.OrderedAggOperator.Builder addKeys​(String value)

    The GROUP BY columns - can't be empty

`repeated string keys = 1;`

### addAllKeys

public PlanProtocol.OrderedAggOperator.Builder addAllKeys​(Iterable<String> values)

    The GROUP BY columns - can't be empty

`repeated string keys = 1;`

### clearKeys

public PlanProtocol.OrderedAggOperator.Builder clearKeys()

    The GROUP BY columns - can't be empty

`repeated string keys = 1;`

### addKeysBytes

public PlanProtocol.OrderedAggOperator.Builder addKeysBytes​(com.google.protobuf.ByteString value)

    The GROUP BY columns - can't be empty

`repeated string keys = 1;`

### getOpsList

public List<PlanProtocol.AggregationOperator.AggregationOp> getOpsList()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

Specified by:
  `getOpsList` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`

### getOpsCount

public int getOpsCount()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

Specified by:
  `getOpsCount` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`

### getOps

public PlanProtocol.AggregationOperator.AggregationOp getOps​(int index)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

Specified by:
  `getOps` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`

### setOps

public PlanProtocol.OrderedAggOperator.Builder setOps​(int index, PlanProtocol.AggregationOperator.AggregationOp value)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

### addOps

public PlanProtocol.OrderedAggOperator.Builder addOps​(PlanProtocol.AggregationOperator.AggregationOp value)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

### addAllOps

public PlanProtocol.OrderedAggOperator.Builder addAllOps​(Iterable<? extends PlanProtocol.AggregationOperator.AggregationOp> values)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

### clearOps

public PlanProtocol.OrderedAggOperator.Builder clearOps()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

### getOpsValueList

public List<Integer> getOpsValueList()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

Specified by:
  `getOpsValueList` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`

### getOpsValue

public int getOpsValue​(int index)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

Specified by:
  `getOpsValue` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`

### setOpsValue

public PlanProtocol.OrderedAggOperator.Builder setOpsValue​(int index, int value)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

### addOpsValue

public PlanProtocol.OrderedAggOperator.Builder addOpsValue​(int value)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

### addAllOpsValue

public PlanProtocol.OrderedAggOperator.Builder addAllOpsValue​(Iterable<Integer> values)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

### getInputColsList

public com.google.protobuf.ProtocolStringList getInputColsList()

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

Specified by:
  `getInputColsList` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`

### getInputColsCount

public int getInputColsCount()

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

Specified by:
  `getInputColsCount` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`

### getInputCols

public String getInputCols​(int index)

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

Specified by:
  `getInputCols` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`

### getInputColsBytes

public com.google.protobuf.ByteString getInputColsBytes​(int index)

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

Specified by:
  `getInputColsBytes` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`

### setInputCols

public PlanProtocol.OrderedAggOperator.Builder setInputCols​(int index, String value)

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

### addInputCols

public PlanProtocol.OrderedAggOperator.Builder addInputCols​(String value)

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

### addAllInputCols

public PlanProtocol.OrderedAggOperator.Builder addAllInputCols​(Iterable<String> values)

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

### clearInputCols

public PlanProtocol.OrderedAggOperator.Builder clearInputCols()

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

### addInputColsBytes

public PlanProtocol.OrderedAggOperator.Builder addInputColsBytes​(com.google.protobuf.ByteString value)

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

### getOutputColsList

public com.google.protobuf.ProtocolStringList getOutputColsList()

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

Specified by:
  `getOutputColsList` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`

### getOutputColsCount

public int getOutputColsCount()

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

Specified by:
  `getOutputColsCount` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`

### getOutputCols

public String getOutputCols​(int index)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

Specified by:
  `getOutputCols` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`

### getOutputColsBytes

public com.google.protobuf.ByteString getOutputColsBytes​(int index)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

Specified by:
  `getOutputColsBytes` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`

### setOutputCols

public PlanProtocol.OrderedAggOperator.Builder setOutputCols​(int index, String value)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

### addOutputCols

public PlanProtocol.OrderedAggOperator.Builder addOutputCols​(String value)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

### addAllOutputCols

public PlanProtocol.OrderedAggOperator.Builder addAllOutputCols​(Iterable<String> values)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

### clearOutputCols

public PlanProtocol.OrderedAggOperator.Builder clearOutputCols()

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

### addOutputColsBytes

public PlanProtocol.OrderedAggOperator.Builder addOutputColsBytes​(com.google.protobuf.ByteString value)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

### getOutputColsTypesList

public com.google.protobuf.ProtocolStringList getOutputColsTypesList()

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

Specified by:
  `getOutputColsTypesList` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`

### getOutputColsTypesCount

public int getOutputColsTypesCount()

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

Specified by:
  `getOutputColsTypesCount` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`

### getOutputColsTypes

public String getOutputColsTypes​(int index)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

Specified by:
  `getOutputColsTypes` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`

### getOutputColsTypesBytes

public com.google.protobuf.ByteString getOutputColsTypesBytes​(int index)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

Specified by:
  `getOutputColsTypesBytes` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`

### setOutputColsTypes

public PlanProtocol.OrderedAggOperator.Builder setOutputColsTypes​(int index, String value)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

### addOutputColsTypes

public PlanProtocol.OrderedAggOperator.Builder addOutputColsTypes​(String value)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

### addAllOutputColsTypes

public PlanProtocol.OrderedAggOperator.Builder addAllOutputColsTypes​(Iterable<String> values)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

### clearOutputColsTypes

public PlanProtocol.OrderedAggOperator.Builder clearOutputColsTypes()

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

### addOutputColsTypesBytes

public PlanProtocol.OrderedAggOperator.Builder addOutputColsTypesBytes​(com.google.protobuf.ByteString value)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

### getLevelValue

public int getLevelValue()
`.xg.db.sqlPlans.GatherLevel level = 6;`

Specified by:
  `getLevelValue` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`

### setLevelValue

public PlanProtocol.OrderedAggOperator.Builder setLevelValue​(int value)
`.xg.db.sqlPlans.GatherLevel level = 6;`

### getLevel

public PlanProtocol.GatherLevel getLevel()
`.xg.db.sqlPlans.GatherLevel level = 6;`

Specified by:
  `getLevel` in interface `PlanProtocol.OrderedAggOperatorOrBuilder`

### setLevel

public PlanProtocol.OrderedAggOperator.Builder setLevel​(PlanProtocol.GatherLevel value)
`.xg.db.sqlPlans.GatherLevel level = 6;`

### clearLevel

public PlanProtocol.OrderedAggOperator.Builder clearLevel()
`.xg.db.sqlPlans.GatherLevel level = 6;`

### setUnknownFields

public final PlanProtocol.OrderedAggOperator.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OrderedAggOperator.Builder>`

### mergeUnknownFields

public final PlanProtocol.OrderedAggOperator.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OrderedAggOperator.Builder>`